Beacon
API reference for Beacon endpoints and webhooks
Add and report users on the Plaid Beacon network.
| Endpoints | |
|---|---|
/beacon/user/create | Create and scan a Beacon User against a Beacon Program |
/beacon/user/get | Fetch a Beacon User |
/beacon/user/update | Update and rescan a Beacon User |
/beacon/user/account_insights/get | Fetch a Beacon User's account insights |
/beacon/user/history/list | List a Beacon User's history |
/beacon/report/create | Create a fraud report for a given Beacon User |
/beacon/report/get | Fetch a Beacon Report |
/beacon/report/list | List Beacon Reports for a given Beacon User |
/beacon/report_syndication/get | Fetch a Beacon Report Syndication |
/beacon/report_syndication/list | List Beacon Report Syndications for a given Beacon User |
/beacon/duplicate/get | Fetch a Beacon duplicate |
| See also | |
|---|---|
/dashboard_user/get | Retrieve information about a dashboard user |
/dashboard_user/list | List dashboard users |
| Webhooks | |
|---|---|
USER_STATUS_UPDATED | Beacon User status has changed |
REPORT_CREATED | Beacon Report has been created |
REPORT_UPDATED | Beacon Report has been updated |
REPORT_SYNDICATION_CREATED | New Network Report matches one of your Users |
DUPLICATE_DETECTED | Duplicate Beacon User was created |
/beacon/user/create
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
Create a Beacon User
Create and scan a Beacon User against your Beacon Program, according to your program's settings.
When you submit a new user to /beacon/user/create, several checks are performed immediately:
- The user's PII (provided within the
userobject) is searched against all other users within the Beacon Program you specified. If a match is found that violates your program's "Duplicate Information Filtering" settings, the user will be returned with a status ofpending_review.
- The user's PII is also searched against all fraud reports created by your organization across all of your Beacon Programs. If the user's data matches a fraud report that your team created, the user will be returned with a status of
rejected.
- Finally, the user's PII is searched against all fraud report shared with the Beacon Network by other companies. If a matching fraud report is found, the user will be returned with a
pending_reviewstatus if your program has enabled automatic flagging based on network fraud.
Request fields
ID of the associated Beacon Program.
A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.
A Beacon User's data which is used to check against duplicate records and the Beacon Fraud Network.
In order to create a Beacon User, in addition to the name, _either_ the date_of_birth _or_ the depository_accounts field must be provided.
A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The full name for a given Beacon User.
A string with at least one non-whitespace character, with a max length of 100 characters.
A string with at least one non-whitespace character, with a max length of 100 characters.
Home address for the associated user. For more context on this field, see Input Validation by Country.
The primary street portion of an address. If an address is provided, this field will always be filled. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.
Extra street information, like an apartment or suite number. If provided, a string with at least one non-whitespace character, with a max length of 50 characters.
City from the address. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.
A subdivision code. "Subdivision" is a generic term for "state", "province", "prefecture", "zone", etc. For the list of valid codes, see country subdivision codes. Country prefixes are omitted, since they are inferred from the country field.
The postal code for the associated address. Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.
Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.
A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.
email A phone number in E.164 format.
The ID number associated with a Beacon User.
Value of identity document value typed in by user. Alpha-numeric, with all formatting characters stripped. For specific format requirements by ID type, see Input Validation Rules.
A globally unique and human readable ID type, specific to the country and document category. For more context on this field, see Input Validation Rules.
ar_dni, au_drivers_license, au_passport, br_cpf, ca_sin, cl_run, cn_resident_card, co_nit, dk_cpr, eg_national_id, es_dni, es_nie, hk_hkid, in_pan, it_cf, jo_civil_id, jp_my_number, ke_huduma_namba, kw_civil_id, mx_curp, mx_rfc, my_nric, ng_nin, nz_drivers_license, om_civil_id, ph_psn, pl_pesel, ro_cnp, sa_national_id, se_pin, sg_nric, tr_tc_kimlik, us_ssn, us_ssn_last_4, za_smart_idAn IPv4 or IPV6 address.
Provide a list of bank accounts that are associated with this Beacon User. These accounts will be scanned across the Beacon Network and used to find duplicate records.
Note: These accounts will not have Bank Account Insights. To receive Bank Account Insights please supply access_tokens.
Must be a valid US Bank Account Number
The routing number of the account.
Send this array of access tokens to link accounts to the Beacon User and have them evaluated for Account Insights. A maximum of 50 accounts total can be added to a single Beacon User.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconUserCreateRequest = {
program_id: 'becprg_11111111111111',
client_user_id: 'user-sandbox-b0e2c4ee-a763-4df5-bfe9-46a46bce993d',
access_tokens: [access_token],
user: {
email_address: 'user@example.com',
date_of_birth: '1975-01-18',
name: {
given_name: 'Leslie',
family_name: 'Knope',
},
address: {
street: '123 Main St.',
street2: 'Unit 42',
city: 'Pawnee',
region: 'IN',
postal_code: '46001',
country: 'US',
},
},
};
try {
const response = await plaidClient.beaconUserCreate(request);
console.log(response.status.value);
} catch (error) {
// handle error
}
Response fields
An array of Plaid Item IDs corresponding to the Accounts associated with this Beacon User.
ID of the associated Beacon User.
The version field begins with 1 and increments each time the user is updated.
An ISO8601 formatted timestamp.
date-time An ISO8601 formatted timestamp. This field indicates the last time the resource was modified.
date-time A status of a Beacon User.
rejected: The Beacon User has been rejected for fraud. Users can be automatically or manually rejected.
pending_review: The Beacon User has been marked for review.
cleared: The Beacon User has been cleared of fraud.
rejected, pending_review, clearedID of the associated Beacon Program.
A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.
A Beacon User's data and resulting analysis when checked against duplicate records and the Beacon Fraud Network.
A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The full name for a given Beacon User.
A string with at least one non-whitespace character, with a max length of 100 characters.
A string with at least one non-whitespace character, with a max length of 100 characters.
Even if an address has been collected, some fields may be null depending on the region's addressing system. For example:
Addresses from the United Kingdom will not include a region
Addresses from Hong Kong will not include a postal code
The primary street portion of an address. If an address is provided, this field will always be filled. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.
Extra street information, like an apartment or suite number. If provided, a string with at least one non-whitespace character, with a max length of 50 characters.
City from the address. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.
A subdivision code. "Subdivision" is a generic term for "state", "province", "prefecture", "zone", etc. For the list of valid codes, see country subdivision codes. Country prefixes are omitted, since they are inferred from the country field.
The postal code for the associated address. Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.
Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.
A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.
email A phone number in E.164 format.
The ID number associated with a Beacon User.
Value of identity document value typed in by user. Alpha-numeric, with all formatting characters stripped. For specific format requirements by ID type, see Input Validation Rules.
A globally unique and human readable ID type, specific to the country and document category. For more context on this field, see Input Validation Rules.
ar_dni, au_drivers_license, au_passport, br_cpf, ca_sin, cl_run, cn_resident_card, co_nit, dk_cpr, eg_national_id, es_dni, es_nie, hk_hkid, in_pan, it_cf, jo_civil_id, jp_my_number, ke_huduma_namba, kw_civil_id, mx_curp, mx_rfc, my_nric, ng_nin, nz_drivers_license, om_civil_id, ph_psn, pl_pesel, ro_cnp, sa_national_id, se_pin, sg_nric, tr_tc_kimlik, us_ssn, us_ssn_last_4, za_smart_idAn IPv4 or IPV6 address.
The last 2-4 numeric characters of this account's account number.
The routing number of the account.
An ISO8601 formatted timestamp.
date-time Information about the last change made to the parent object specifying what caused the change as well as when it occurred.
A type indicating what caused a resource to be changed or updated.
dashboard - The resource was created or updated by a member of your team via the Plaid dashboard.
api - The resource was created or updated via the Plaid API.
system - The resource was created or updated automatically by a part of the Plaid Beacon system. For example, if another business using Plaid Beacon created a fraud report that matched one of your users, your matching user's status would automatically be updated and the audit trail source would be system.
bulk_import - The resource was created or updated as part of a bulk import process. For example, if your company provided a CSV of user data as part of your initial onboarding, the audit trail source would be bulk_import.
dashboard, api, system, bulk_importID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"item_ids": [
"515cd85321d3649aecddc015"
],
"id": "becusr_42cF1MNo42r9Xj",
"version": 1,
"created_at": "2020-07-24T03:26:02Z",
"updated_at": "2020-07-24T03:26:02Z",
"status": "cleared",
"program_id": "becprg_11111111111111",
"client_user_id": "your-db-id-3b24110",
"user": {
"date_of_birth": "1990-05-29",
"name": {
"given_name": "Leslie",
"family_name": "Knope"
},
"address": {
"street": "123 Main St.",
"street2": "Unit 42",
"city": "Pawnee",
"region": "IN",
"postal_code": "46001",
"country": "US"
},
"email_address": "user@example.com",
"phone_number": "+19876543212",
"id_number": {
"value": "123456789",
"type": "us_ssn"
},
"ip_address": "192.0.2.42",
"depository_accounts": [
{
"account_mask": "4000",
"routing_number": "021000021",
"added_at": "2020-07-24T03:26:02Z"
}
]
},
"audit_trail": {
"source": "dashboard",
"dashboard_user_id": "54350110fedcbaf01234ffee",
"timestamp": "2020-07-24T03:26:02Z"
},
"request_id": "saKrIBuEB9qJZng"
}/beacon/user/get
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
Get a Beacon User
Fetch a Beacon User.
The Beacon User is returned with all of their associated information and a status based on the Beacon Network duplicate record and fraud checks.
Request fields
ID of the associated Beacon User.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconUserGetRequest = {
beacon_user_id: 'becusr_11111111111111',
};
try {
const response = await plaidClient.beaconUserGet(request);
} catch (error) {
// handle error
}
Response fields
An array of Plaid Item IDs corresponding to the Accounts associated with this Beacon User.
ID of the associated Beacon User.
The version field begins with 1 and increments each time the user is updated.
An ISO8601 formatted timestamp.
date-time An ISO8601 formatted timestamp. This field indicates the last time the resource was modified.
date-time A status of a Beacon User.
rejected: The Beacon User has been rejected for fraud. Users can be automatically or manually rejected.
pending_review: The Beacon User has been marked for review.
cleared: The Beacon User has been cleared of fraud.
rejected, pending_review, clearedID of the associated Beacon Program.
A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.
A Beacon User's data and resulting analysis when checked against duplicate records and the Beacon Fraud Network.
A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The full name for a given Beacon User.
A string with at least one non-whitespace character, with a max length of 100 characters.
A string with at least one non-whitespace character, with a max length of 100 characters.
Even if an address has been collected, some fields may be null depending on the region's addressing system. For example:
Addresses from the United Kingdom will not include a region
Addresses from Hong Kong will not include a postal code
The primary street portion of an address. If an address is provided, this field will always be filled. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.
Extra street information, like an apartment or suite number. If provided, a string with at least one non-whitespace character, with a max length of 50 characters.
City from the address. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.
A subdivision code. "Subdivision" is a generic term for "state", "province", "prefecture", "zone", etc. For the list of valid codes, see country subdivision codes. Country prefixes are omitted, since they are inferred from the country field.
The postal code for the associated address. Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.
Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.
A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.
email A phone number in E.164 format.
The ID number associated with a Beacon User.
Value of identity document value typed in by user. Alpha-numeric, with all formatting characters stripped. For specific format requirements by ID type, see Input Validation Rules.
A globally unique and human readable ID type, specific to the country and document category. For more context on this field, see Input Validation Rules.
ar_dni, au_drivers_license, au_passport, br_cpf, ca_sin, cl_run, cn_resident_card, co_nit, dk_cpr, eg_national_id, es_dni, es_nie, hk_hkid, in_pan, it_cf, jo_civil_id, jp_my_number, ke_huduma_namba, kw_civil_id, mx_curp, mx_rfc, my_nric, ng_nin, nz_drivers_license, om_civil_id, ph_psn, pl_pesel, ro_cnp, sa_national_id, se_pin, sg_nric, tr_tc_kimlik, us_ssn, us_ssn_last_4, za_smart_idAn IPv4 or IPV6 address.
The last 2-4 numeric characters of this account's account number.
The routing number of the account.
An ISO8601 formatted timestamp.
date-time Information about the last change made to the parent object specifying what caused the change as well as when it occurred.
A type indicating what caused a resource to be changed or updated.
dashboard - The resource was created or updated by a member of your team via the Plaid dashboard.
api - The resource was created or updated via the Plaid API.
system - The resource was created or updated automatically by a part of the Plaid Beacon system. For example, if another business using Plaid Beacon created a fraud report that matched one of your users, your matching user's status would automatically be updated and the audit trail source would be system.
bulk_import - The resource was created or updated as part of a bulk import process. For example, if your company provided a CSV of user data as part of your initial onboarding, the audit trail source would be bulk_import.
dashboard, api, system, bulk_importID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"item_ids": [
"515cd85321d3649aecddc015"
],
"id": "becusr_42cF1MNo42r9Xj",
"version": 1,
"created_at": "2020-07-24T03:26:02Z",
"updated_at": "2020-07-24T03:26:02Z",
"status": "cleared",
"program_id": "becprg_11111111111111",
"client_user_id": "your-db-id-3b24110",
"user": {
"date_of_birth": "1990-05-29",
"name": {
"given_name": "Leslie",
"family_name": "Knope"
},
"address": {
"street": "123 Main St.",
"street2": "Unit 42",
"city": "Pawnee",
"region": "IN",
"postal_code": "46001",
"country": "US"
},
"email_address": "user@example.com",
"phone_number": "+19876543212",
"id_number": {
"value": "123456789",
"type": "us_ssn"
},
"ip_address": "192.0.2.42",
"depository_accounts": [
{
"account_mask": "4000",
"routing_number": "021000021",
"added_at": "2020-07-24T03:26:02Z"
}
]
},
"audit_trail": {
"source": "dashboard",
"dashboard_user_id": "54350110fedcbaf01234ffee",
"timestamp": "2020-07-24T03:26:02Z"
},
"request_id": "saKrIBuEB9qJZng"
}/beacon/user/update
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
Update the identity data of a Beacon User
Update the identity data for a Beacon User in your Beacon Program or add new accounts to the Beacon User.
Similar to /beacon/user/create, several checks are performed immediately when you submit an identity data change to /beacon/user/update:
- The user's updated PII is searched against all other users within the Beacon Program you specified. If a match is found that violates your program's "Duplicate Information Filtering" settings, the user will be returned with a status of
pending_review.
- The user's updated PII is also searched against all fraud reports created by your organization across all of your Beacon Programs. If the user's data matches a fraud report that your team created, the user will be returned with a status of
rejected.
- Finally, the user's PII is searched against all fraud report shared with the Beacon Network by other companies. If a matching fraud report is found, the user will be returned with a
pending_reviewstatus if your program has enabled automatic flagging based on network fraud.
Plaid maintains a version history for each Beacon User, so the Beacon User's identity data before and after the update is retained as separate versions.
Request fields
ID of the associated Beacon User.
A subset of a Beacon User's data which is used to patch the existing identity data associated with a Beacon User. At least one field must be provided. If left unset or null, user data will not be patched.
A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The full name for a given Beacon User.
A string with at least one non-whitespace character, with a max length of 100 characters.
A string with at least one non-whitespace character, with a max length of 100 characters.
Home address for the associated user. For more context on this field, see Input Validation by Country.
The primary street portion of an address. If an address is provided, this field will always be filled. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.
Extra street information, like an apartment or suite number. If provided, a string with at least one non-whitespace character, with a max length of 50 characters.
City from the address. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.
A subdivision code. "Subdivision" is a generic term for "state", "province", "prefecture", "zone", etc. For the list of valid codes, see country subdivision codes. Country prefixes are omitted, since they are inferred from the country field.
The postal code for the associated address. Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.
Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.
A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.
email A phone number in E.164 format.
The ID number associated with a Beacon User.
Value of identity document value typed in by user. Alpha-numeric, with all formatting characters stripped. For specific format requirements by ID type, see Input Validation Rules.
A globally unique and human readable ID type, specific to the country and document category. For more context on this field, see Input Validation Rules.
ar_dni, au_drivers_license, au_passport, br_cpf, ca_sin, cl_run, cn_resident_card, co_nit, dk_cpr, eg_national_id, es_dni, es_nie, hk_hkid, in_pan, it_cf, jo_civil_id, jp_my_number, ke_huduma_namba, kw_civil_id, mx_curp, mx_rfc, my_nric, ng_nin, nz_drivers_license, om_civil_id, ph_psn, pl_pesel, ro_cnp, sa_national_id, se_pin, sg_nric, tr_tc_kimlik, us_ssn, us_ssn_last_4, za_smart_idAn IPv4 or IPV6 address.
Must be a valid US Bank Account Number
The routing number of the account.
Send this array of access tokens to add accounts to this user for evaluation. This will add accounts to this Beacon User. If left null only existing accounts will be returned in response. A maximum of 50 accounts total can be added to a Beacon User.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconUserUpdateRequest = {
beacon_user_id: 'becusr_11111111111111',
user: {
email_address: 'user@example.com',
date_of_birth: '1975-01-18',
name: {
given_name: 'Leslie',
family_name: 'Knope',
},
address: {
street: '123 Main St.',
street2: 'Unit 42',
city: 'Pawnee',
region: 'IN',
postal_code: '46001',
country: 'US',
},
},
};
try {
const response = await plaidClient.beaconUserUpdate(request);
console.log(response.status.value);
} catch (error) {
// handle error
}
Response fields
An array of Plaid Item IDs corresponding to the Accounts associated with this Beacon User.
ID of the associated Beacon User.
The version field begins with 1 and increments each time the user is updated.
An ISO8601 formatted timestamp.
date-time An ISO8601 formatted timestamp. This field indicates the last time the resource was modified.
date-time A status of a Beacon User.
rejected: The Beacon User has been rejected for fraud. Users can be automatically or manually rejected.
pending_review: The Beacon User has been marked for review.
cleared: The Beacon User has been cleared of fraud.
rejected, pending_review, clearedID of the associated Beacon Program.
A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.
A Beacon User's data and resulting analysis when checked against duplicate records and the Beacon Fraud Network.
A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The full name for a given Beacon User.
A string with at least one non-whitespace character, with a max length of 100 characters.
A string with at least one non-whitespace character, with a max length of 100 characters.
Even if an address has been collected, some fields may be null depending on the region's addressing system. For example:
Addresses from the United Kingdom will not include a region
Addresses from Hong Kong will not include a postal code
The primary street portion of an address. If an address is provided, this field will always be filled. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.
Extra street information, like an apartment or suite number. If provided, a string with at least one non-whitespace character, with a max length of 50 characters.
City from the address. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.
A subdivision code. "Subdivision" is a generic term for "state", "province", "prefecture", "zone", etc. For the list of valid codes, see country subdivision codes. Country prefixes are omitted, since they are inferred from the country field.
The postal code for the associated address. Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.
Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.
A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.
email A phone number in E.164 format.
The ID number associated with a Beacon User.
Value of identity document value typed in by user. Alpha-numeric, with all formatting characters stripped. For specific format requirements by ID type, see Input Validation Rules.
A globally unique and human readable ID type, specific to the country and document category. For more context on this field, see Input Validation Rules.
ar_dni, au_drivers_license, au_passport, br_cpf, ca_sin, cl_run, cn_resident_card, co_nit, dk_cpr, eg_national_id, es_dni, es_nie, hk_hkid, in_pan, it_cf, jo_civil_id, jp_my_number, ke_huduma_namba, kw_civil_id, mx_curp, mx_rfc, my_nric, ng_nin, nz_drivers_license, om_civil_id, ph_psn, pl_pesel, ro_cnp, sa_national_id, se_pin, sg_nric, tr_tc_kimlik, us_ssn, us_ssn_last_4, za_smart_idAn IPv4 or IPV6 address.
The last 2-4 numeric characters of this account's account number.
The routing number of the account.
An ISO8601 formatted timestamp.
date-time Information about the last change made to the parent object specifying what caused the change as well as when it occurred.
A type indicating what caused a resource to be changed or updated.
dashboard - The resource was created or updated by a member of your team via the Plaid dashboard.
api - The resource was created or updated via the Plaid API.
system - The resource was created or updated automatically by a part of the Plaid Beacon system. For example, if another business using Plaid Beacon created a fraud report that matched one of your users, your matching user's status would automatically be updated and the audit trail source would be system.
bulk_import - The resource was created or updated as part of a bulk import process. For example, if your company provided a CSV of user data as part of your initial onboarding, the audit trail source would be bulk_import.
dashboard, api, system, bulk_importID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"item_ids": [
"515cd85321d3649aecddc015"
],
"id": "becusr_42cF1MNo42r9Xj",
"version": 1,
"created_at": "2020-07-24T03:26:02Z",
"updated_at": "2020-07-24T03:26:02Z",
"status": "cleared",
"program_id": "becprg_11111111111111",
"client_user_id": "your-db-id-3b24110",
"user": {
"date_of_birth": "1990-05-29",
"name": {
"given_name": "Leslie",
"family_name": "Knope"
},
"address": {
"street": "123 Main St.",
"street2": "Unit 42",
"city": "Pawnee",
"region": "IN",
"postal_code": "46001",
"country": "US"
},
"email_address": "user@example.com",
"phone_number": "+19876543212",
"id_number": {
"value": "123456789",
"type": "us_ssn"
},
"ip_address": "192.0.2.42",
"depository_accounts": [
{
"account_mask": "4000",
"routing_number": "021000021",
"added_at": "2020-07-24T03:26:02Z"
}
]
},
"audit_trail": {
"source": "dashboard",
"dashboard_user_id": "54350110fedcbaf01234ffee",
"timestamp": "2020-07-24T03:26:02Z"
},
"request_id": "saKrIBuEB9qJZng"
}/beacon/user/account_insights/get
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
Get Account Insights for a Beacon User
Get Account Insights for all Accounts linked to this Beacon User. The insights for each account are computed based on the information that was last retrieved from the financial institution.
Request fields
ID of the associated Beacon User.
The access token associated with the Item data is being requested for.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconUserAccountInsightsGetRequest = {
beacon_user_id: 'becusr_11111111111111',
access_token: 'access-sandbox-12345678',
client_id: process.env.PLAID_CLIENT_ID,
secret: process.env.PLAID_SECRET,
};
try {
const response = await plaidClient.beaconUserAccountInsightsGet(request);
console.log(response.status.value);
} catch (error) {
// handle error
}
Response fields
ID of the associated Beacon User.
An ISO8601 formatted timestamp.
date-time An ISO8601 formatted timestamp. This field indicates the last time the resource was modified.
date-time A collection of Bank Accounts linked to an Item that is associated with this Beacon User.
The Plaid Item ID the Bank Accounts belong to.
The Plaid account_id
investment: Investment account. In API versions 2018-05-22 and earlier, this type is called brokerage instead.
credit: Credit card
depository: Depository account
loan: Loan account
other: Non-specified account type
See the Account type schema for a full listing of account types and corresponding subtypes.
investment, credit, depository, loan, brokerage, otherSee the Account type schema for a full listing of account types and corresponding subtypes.
401a, 401k, 403B, 457b, 529, auto, brokerage, business, cash isa, cash management, cd, checking, commercial, construction, consumer, credit card, crypto exchange, ebt, education savings account, fhsa, fixed annuity, gic, health reimbursement arrangement, home equity, hsa, isa, ira, keogh, lif, life insurance, limited purpose checking, line of credit, lira, loan, lrif, lrsp, money market, mortgage, mutual fund, non-custodial wallet, non-taxable brokerage account, other, other insurance, other annuity, overdraft, paypal, payroll, pension, prepaid, prif, profit sharing plan, qshr, rdsp, resp, retirement, rlif, roth, roth 401k, roth 403B, roth 457b, roth pension, roth profit sharing plan, roth thrift savings plan, rrif, rrsp, sarsep, savings, sep ira, simple ira, sipp, stock plan, student, thrift savings plan, tfsa, trust, ugma, utma, variable annuityThe attributes object contains data that can be used to assess account risk. Examples of data include:
days_since_first_plaid_connection: The number of days since the first time the Item was connected to an application via Plaid
plaid_connections_count_7d: The number of times the Item has been connected to applications via Plaid over the past 7 days
plaid_connections_count_30d: The number of times the Item has been connected to applications via Plaid over the past 30 days
total_plaid_connections_count: The number of times the Item has been connected to applications via Plaid
For the full list and detailed documentation of core attributes available, or to request that core attributes not be returned, contact sales or your Plaid account manager
The number of days since the first time the Item was connected to an application via Plaid
Indicates if the account has been closed by the financial institution or the consumer, or is at risk of being closed
Indicates whether the account has withdrawals and transfers disabled or if access to the account is restricted. This could be due to a freeze by the credit issuer, legal restrictions (e.g., sanctions), or regulatory requirements limiting monthly withdrawals, among other reasons
The total number of times the item has been connected to applications via Plaid
The number of times the Item has been connected to applications via Plaid over the past 7 days
The number of times the Item has been connected to applications via Plaid over the past 30 days
The number of failed non-OAuth authentication attempts via Plaid for this bank account over the past 3 days
The number of non-OAuth authentication attempts via Plaid for this bank account over the past 3 days
The number of failed non-OAuth authentication attempts via Plaid for this bank account over the past 7 days
The number of non-OAuth authentication attempts via Plaid for this bank account over the past 7 days
The number of failed non-OAuth authentication attempts via Plaid for this bank account over the past 30 days
The number of non-OAuth authentication attempts via Plaid for this bank account over the past 30 days
The number of distinct IP addresses linked to the same bank account during Plaid authentication in the last 3 days
The number of distinct IP addresses linked to the same bank account during Plaid authentication in the last 7 days
The number of distinct IP addresses linked to the same bank account during Plaid authentication in the last 30 days
The number of distinct IP addresses linked to the same bank account during Plaid authentication in the last 90 days
The number of distinct user agents linked to the same bank account during Plaid authentication in the last 3 days
The number of distinct user agents linked to the same bank account during Plaid authentication in the last 7 days
The number of distinct user agents linked to the same bank account during Plaid authentication in the last 30 days
The number of distinct user agents linked to the same bank account during Plaid authentication in the last 90 days
The number of times the account's addresses on file have changed over the past 28 days
The number of times the account's email addresses on file have changed over the past 28 days
The number of times the account's phone numbers on file have changed over the past 28 days
The number of times the account's addresses on file have changed over the past 90 days
The number of times the account's email addresses on file have changed over the past 90 days
The number of times the account's phone numbers on file have changed over the past 90 days
The number of days since the bank account was opened, as reported by the financial institution
The number of days since the oldest transaction available to Plaid for this account. This measure, combined with Plaid connection history, can be used to infer the age of the account
A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"beacon_user_id": "becusr_42cF1MNo42r9Xj",
"created_at": "2020-07-24T03:26:02Z",
"updated_at": "2020-07-24T03:26:02Z",
"bank_account_insights": {
"item_id": "515cd85321d3649aecddc015",
"accounts": [
{
"account_id": "blgvvBlXw3cq5GMPwqB6s6q4dLKB9WcVqGDGo",
"type": "depository",
"subtype": "checking",
"attributes": {
"days_since_first_plaid_connection": 1,
"is_account_closed": false,
"is_account_frozen_or_restricted": false,
"total_plaid_connections_count": 1,
"plaid_connections_count_7d": 1,
"plaid_connections_count_30d": 1,
"failed_plaid_non_oauth_authentication_attempts_count_3d": 1,
"plaid_non_oauth_authentication_attempts_count_3d": 1,
"failed_plaid_non_oauth_authentication_attempts_count_7d": 1,
"plaid_non_oauth_authentication_attempts_count_7d": 1,
"failed_plaid_non_oauth_authentication_attempts_count_30d": 1,
"plaid_non_oauth_authentication_attempts_count_30d": 1,
"distinct_ip_addresses_count_3d": 1,
"distinct_ip_addresses_count_7d": 1,
"distinct_ip_addresses_count_30d": 1,
"distinct_ip_addresses_count_90d": 1,
"distinct_user_agents_count_3d": 1,
"distinct_user_agents_count_7d": 1,
"distinct_user_agents_count_30d": 1,
"distinct_user_agents_count_90d": 1,
"address_change_count_28d": 1,
"email_change_count_28d": 2,
"phone_change_count_28d": 1,
"address_change_count_90d": 3,
"email_change_count_90d": 4,
"phone_change_count_90d": 2,
"days_since_account_opening": 365,
"days_since_first_observed_transaction": 180
}
}
]
},
"request_id": "saKrIBuEB9qJZng"
}/beacon/user/history/list
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
List a Beacon User's history
List all changes to the Beacon User in reverse-chronological order.
Request fields
ID of the associated Beacon User.
An identifier that determines which page of results you receive.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconUserHistoryListRequest = {
beacon_user_id: 'becusr_11111111111111',
};
try {
const response = await plaidClient.beaconUserHistoryList(request);
} catch (error) {
// handle error
}
Response fields
An array of Plaid Item IDs corresponding to the Accounts associated with this Beacon User.
ID of the associated Beacon User.
The version field begins with 1 and increments each time the user is updated.
An ISO8601 formatted timestamp.
date-time An ISO8601 formatted timestamp. This field indicates the last time the resource was modified.
date-time A status of a Beacon User.
rejected: The Beacon User has been rejected for fraud. Users can be automatically or manually rejected.
pending_review: The Beacon User has been marked for review.
cleared: The Beacon User has been cleared of fraud.
rejected, pending_review, clearedID of the associated Beacon Program.
A unique ID that identifies the end user in your system. Either a user_id or the client_user_id must be provided. This ID can also be used to associate user-specific data from other Plaid products. Financial Account Matching requires this field and the /link/token/create client_user_id to be consistent. Personally identifiable information, such as an email address or phone number, should not be used in the client_user_id.
A Beacon User's data and resulting analysis when checked against duplicate records and the Beacon Fraud Network.
A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The full name for a given Beacon User.
A string with at least one non-whitespace character, with a max length of 100 characters.
A string with at least one non-whitespace character, with a max length of 100 characters.
Even if an address has been collected, some fields may be null depending on the region's addressing system. For example:
Addresses from the United Kingdom will not include a region
Addresses from Hong Kong will not include a postal code
The primary street portion of an address. If an address is provided, this field will always be filled. A string with at least one non-whitespace alphabetical character, with a max length of 80 characters.
Extra street information, like an apartment or suite number. If provided, a string with at least one non-whitespace character, with a max length of 50 characters.
City from the address. A string with at least one non-whitespace alphabetical character, with a max length of 100 characters.
A subdivision code. "Subdivision" is a generic term for "state", "province", "prefecture", "zone", etc. For the list of valid codes, see country subdivision codes. Country prefixes are omitted, since they are inferred from the country field.
The postal code for the associated address. Between 2 and 10 alphanumeric characters. For US-based addresses this must be 5 numeric digits.
Valid, capitalized, two-letter ISO code representing the country of this object. Must be in ISO 3166-1 alpha-2 form.
A valid email address. Must not have leading or trailing spaces and address must be RFC compliant. For more information, see RFC 3696.
email A phone number in E.164 format.
The ID number associated with a Beacon User.
Value of identity document value typed in by user. Alpha-numeric, with all formatting characters stripped. For specific format requirements by ID type, see Input Validation Rules.
A globally unique and human readable ID type, specific to the country and document category. For more context on this field, see Input Validation Rules.
ar_dni, au_drivers_license, au_passport, br_cpf, ca_sin, cl_run, cn_resident_card, co_nit, dk_cpr, eg_national_id, es_dni, es_nie, hk_hkid, in_pan, it_cf, jo_civil_id, jp_my_number, ke_huduma_namba, kw_civil_id, mx_curp, mx_rfc, my_nric, ng_nin, nz_drivers_license, om_civil_id, ph_psn, pl_pesel, ro_cnp, sa_national_id, se_pin, sg_nric, tr_tc_kimlik, us_ssn, us_ssn_last_4, za_smart_idAn IPv4 or IPV6 address.
The last 2-4 numeric characters of this account's account number.
The routing number of the account.
An ISO8601 formatted timestamp.
date-time Information about the last change made to the parent object specifying what caused the change as well as when it occurred.
A type indicating what caused a resource to be changed or updated.
dashboard - The resource was created or updated by a member of your team via the Plaid dashboard.
api - The resource was created or updated via the Plaid API.
system - The resource was created or updated automatically by a part of the Plaid Beacon system. For example, if another business using Plaid Beacon created a fraud report that matched one of your users, your matching user's status would automatically be updated and the audit trail source would be system.
bulk_import - The resource was created or updated as part of a bulk import process. For example, if your company provided a CSV of user data as part of your initial onboarding, the audit trail source would be bulk_import.
dashboard, api, system, bulk_importID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time An identifier that determines which page of results you receive.
A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"beacon_users": [
{
"item_ids": [
"515cd85321d3649aecddc015"
],
"id": "becusr_42cF1MNo42r9Xj",
"version": 1,
"created_at": "2020-07-24T03:26:02Z",
"updated_at": "2020-07-24T03:26:02Z",
"status": "cleared",
"program_id": "becprg_11111111111111",
"client_user_id": "your-db-id-3b24110",
"user": {
"date_of_birth": "1990-05-29",
"name": {
"given_name": "Leslie",
"family_name": "Knope"
},
"address": {
"street": "123 Main St.",
"street2": "Unit 42",
"city": "Pawnee",
"region": "IN",
"postal_code": "46001",
"country": "US"
},
"email_address": "user@example.com",
"phone_number": "+19876543212",
"id_number": {
"value": "123456789",
"type": "us_ssn"
},
"ip_address": "192.0.2.42",
"depository_accounts": [
{
"account_mask": "4000",
"routing_number": "021000021",
"added_at": "2020-07-24T03:26:02Z"
}
]
},
"audit_trail": {
"source": "dashboard",
"dashboard_user_id": "54350110fedcbaf01234ffee",
"timestamp": "2020-07-24T03:26:02Z"
}
}
],
"next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
"request_id": "saKrIBuEB9qJZng"
}/beacon/report/create
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
Create a Beacon Report
Create a fraud report for a given Beacon User.
Request fields
ID of the associated Beacon User.
The type of Beacon Report.
first_party: If this is the same individual as the one who submitted the KYC.
stolen: If this is a different individual from the one who submitted the KYC.
synthetic: If this is an individual using fabricated information.
account_takeover: If this individual's account was compromised.
unknown: If you aren't sure who committed the fraud.
first_party, stolen, synthetic, account_takeover, unknownA date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The amount and currency of the fraud or attempted fraud.
fraud_amount should be omitted to indicate an unknown fraud amount.
An ISO-4217 currency code.
USDThe amount value.
This value can be 0 to indicate no money was lost.
Must not contain more than two digits of precision (e.g., 1.23).
double Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconReportCreateRequest = {
beacon_user_id: 'becusr_11111111111111',
type: 'first_party',
fraud_date: '1975-01-18',
};
try {
const response = await plaidClient.beaconReportCreate(request);
} catch (error) {
// handle error
}
Response fields
ID of the associated Beacon Report.
ID of the associated Beacon User.
An ISO8601 formatted timestamp.
date-time The type of Beacon Report.
first_party: If this is the same individual as the one who submitted the KYC.
stolen: If this is a different individual from the one who submitted the KYC.
synthetic: If this is an individual using fabricated information.
account_takeover: If this individual's account was compromised.
data_breach: If this individual's data was compromised in a breach.
unknown: If you aren't sure who committed the fraud.
first_party, stolen, synthetic, account_takeover, data_breach, unknownA date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The amount and currency of the fraud or attempted fraud.
fraud_amount should be omitted to indicate an unknown fraud amount.
An ISO-4217 currency code.
USDThe amount value.
This value can be 0 to indicate no money was lost.
Must not contain more than two digits of precision (e.g., 1.23).
double Information about the last change made to the parent object specifying what caused the change as well as when it occurred.
A type indicating what caused a resource to be changed or updated.
dashboard - The resource was created or updated by a member of your team via the Plaid dashboard.
api - The resource was created or updated via the Plaid API.
system - The resource was created or updated automatically by a part of the Plaid Beacon system. For example, if another business using Plaid Beacon created a fraud report that matched one of your users, your matching user's status would automatically be updated and the audit trail source would be system.
bulk_import - The resource was created or updated as part of a bulk import process. For example, if your company provided a CSV of user data as part of your initial onboarding, the audit trail source would be bulk_import.
dashboard, api, system, bulk_importID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"id": "becrpt_11111111111111",
"beacon_user_id": "becusr_42cF1MNo42r9Xj",
"created_at": "2020-07-24T03:26:02Z",
"type": "first_party",
"fraud_date": "1990-05-29",
"event_date": "1990-05-29",
"fraud_amount": {
"iso_currency_code": "USD",
"value": 100
},
"audit_trail": {
"source": "dashboard",
"dashboard_user_id": "54350110fedcbaf01234ffee",
"timestamp": "2020-07-24T03:26:02Z"
},
"request_id": "saKrIBuEB9qJZng"
}/beacon/report/get
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
Get a Beacon Report
Returns a Beacon report for a given Beacon report id.
Request fields
ID of the associated Beacon Report.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconReportGetRequest = {
beacon_report_id: 'becrpt_11111111111111',
};
try {
const response = await plaidClient.beaconReportGet(request);
} catch (error) {
// handle error
}
Response fields
ID of the associated Beacon Report.
ID of the associated Beacon User.
An ISO8601 formatted timestamp.
date-time The type of Beacon Report.
first_party: If this is the same individual as the one who submitted the KYC.
stolen: If this is a different individual from the one who submitted the KYC.
synthetic: If this is an individual using fabricated information.
account_takeover: If this individual's account was compromised.
data_breach: If this individual's data was compromised in a breach.
unknown: If you aren't sure who committed the fraud.
first_party, stolen, synthetic, account_takeover, data_breach, unknownA date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The amount and currency of the fraud or attempted fraud.
fraud_amount should be omitted to indicate an unknown fraud amount.
An ISO-4217 currency code.
USDThe amount value.
This value can be 0 to indicate no money was lost.
Must not contain more than two digits of precision (e.g., 1.23).
double Information about the last change made to the parent object specifying what caused the change as well as when it occurred.
A type indicating what caused a resource to be changed or updated.
dashboard - The resource was created or updated by a member of your team via the Plaid dashboard.
api - The resource was created or updated via the Plaid API.
system - The resource was created or updated automatically by a part of the Plaid Beacon system. For example, if another business using Plaid Beacon created a fraud report that matched one of your users, your matching user's status would automatically be updated and the audit trail source would be system.
bulk_import - The resource was created or updated as part of a bulk import process. For example, if your company provided a CSV of user data as part of your initial onboarding, the audit trail source would be bulk_import.
dashboard, api, system, bulk_importID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"id": "becrpt_11111111111111",
"beacon_user_id": "becusr_42cF1MNo42r9Xj",
"created_at": "2020-07-24T03:26:02Z",
"type": "first_party",
"fraud_date": "1990-05-29",
"event_date": "1990-05-29",
"fraud_amount": {
"iso_currency_code": "USD",
"value": 100
},
"audit_trail": {
"source": "dashboard",
"dashboard_user_id": "54350110fedcbaf01234ffee",
"timestamp": "2020-07-24T03:26:02Z"
},
"request_id": "saKrIBuEB9qJZng"
}/beacon/report/list
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
List Beacon Reports for a Beacon User
Use the /beacon/report/list endpoint to view all Beacon Reports you created for a specific Beacon User. The reports returned by this endpoint are exclusively reports you created for a specific user. A Beacon User can only have one active report at a time, but a new report can be created if a previous report has been deleted. The results from this endpoint are paginated; the next_cursor field will be populated if there is another page of results that can be retrieved. To fetch the next page, pass the next_cursor value as the cursor parameter in the next request.
Request fields
ID of the associated Beacon User.
An identifier that determines which page of results you receive.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconReportListRequest = {
beacon_user_id: 'becusr_11111111111111',
};
try {
const response = await plaidClient.beaconReportList(request);
} catch (error) {
// handle error
}
Response fields
ID of the associated Beacon Report.
ID of the associated Beacon User.
An ISO8601 formatted timestamp.
date-time The type of Beacon Report.
first_party: If this is the same individual as the one who submitted the KYC.
stolen: If this is a different individual from the one who submitted the KYC.
synthetic: If this is an individual using fabricated information.
account_takeover: If this individual's account was compromised.
data_breach: If this individual's data was compromised in a breach.
unknown: If you aren't sure who committed the fraud.
first_party, stolen, synthetic, account_takeover, data_breach, unknownA date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date The amount and currency of the fraud or attempted fraud.
fraud_amount should be omitted to indicate an unknown fraud amount.
An ISO-4217 currency code.
USDThe amount value.
This value can be 0 to indicate no money was lost.
Must not contain more than two digits of precision (e.g., 1.23).
double Information about the last change made to the parent object specifying what caused the change as well as when it occurred.
A type indicating what caused a resource to be changed or updated.
dashboard - The resource was created or updated by a member of your team via the Plaid dashboard.
api - The resource was created or updated via the Plaid API.
system - The resource was created or updated automatically by a part of the Plaid Beacon system. For example, if another business using Plaid Beacon created a fraud report that matched one of your users, your matching user's status would automatically be updated and the audit trail source would be system.
bulk_import - The resource was created or updated as part of a bulk import process. For example, if your company provided a CSV of user data as part of your initial onboarding, the audit trail source would be bulk_import.
dashboard, api, system, bulk_importID of the associated user. To retrieve the email address or other details of the person corresponding to this id, use /dashboard_user/get.
An ISO8601 formatted timestamp.
date-time An identifier that determines which page of results you receive.
A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"beacon_reports": [
{
"id": "becrpt_11111111111111",
"beacon_user_id": "becusr_42cF1MNo42r9Xj",
"created_at": "2020-07-24T03:26:02Z",
"type": "first_party",
"fraud_date": "1990-05-29",
"event_date": "1990-05-29",
"fraud_amount": {
"iso_currency_code": "USD",
"value": 100
},
"audit_trail": {
"source": "dashboard",
"dashboard_user_id": "54350110fedcbaf01234ffee",
"timestamp": "2020-07-24T03:26:02Z"
}
}
],
"next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
"request_id": "saKrIBuEB9qJZng"
}/beacon/report_syndication/get
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
Get a Beacon Report Syndication
Returns a Beacon Report Syndication for a given Beacon Report Syndication id.
Request fields
ID of the associated Beacon Report Syndication.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconReportSyndicationGetRequest = {
beacon_report_syndication_id: 'becrsn_11111111111111',
};
try {
const response = await plaidClient.beaconReportSyndicationGet(request);
} catch (error) {
// handle error
}
Response fields
ID of the associated Beacon Report Syndication.
ID of the associated Beacon User.
A subset of information from a Beacon Report that has been syndicated to a matching Beacon User in your program.
The id field in the response is the ID of the original report that was syndicated. If the original report was created by your organization, the field will be filled with the ID of the report. Otherwise, the field will be null indicating that the original report was created by another Beacon customer.
ID of the associated Beacon Report.
An ISO8601 formatted timestamp.
date-time The type of Beacon Report.
first_party: If this is the same individual as the one who submitted the KYC.
stolen: If this is a different individual from the one who submitted the KYC.
synthetic: If this is an individual using fabricated information.
account_takeover: If this individual's account was compromised.
data_breach: If this individual's data was compromised in a breach.
unknown: If you aren't sure who committed the fraud.
first_party, stolen, synthetic, account_takeover, data_breach, unknownA date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date Analysis of which fields matched between the originally reported Beacon User and the Beacon User that the report was syndicated to.
An enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataThe last 2-4 numeric characters of this account's account number.
The routing number of the account.
An enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataA unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"id": "becrsn_11111111111111",
"beacon_user_id": "becusr_42cF1MNo42r9Xj",
"report": {
"id": "becrpt_11111111111111",
"created_at": "2020-07-24T03:26:02Z",
"type": "first_party",
"fraud_date": "1990-05-29",
"event_date": "1990-05-29"
},
"analysis": {
"address": "match",
"date_of_birth": "match",
"email_address": "match",
"name": "match",
"id_number": "match",
"ip_address": "match",
"phone_number": "match",
"depository_accounts": [
{
"account_mask": "4000",
"routing_number": "021000021",
"match_status": "match"
}
]
},
"request_id": "saKrIBuEB9qJZng"
}/beacon/report_syndication/list
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
List Beacon Report Syndications for a Beacon User
Use the /beacon/report_syndication/list endpoint to view all Beacon Reports that have been syndicated to a specific Beacon User. This endpoint returns Beacon Report Syndications which are references to Beacon Reports created either by you, or another Beacon customer, that matched the specified Beacon User. A Beacon User can have multiple active Beacon Report Syndications at once. The results from this endpoint are paginated; the next_cursor field will be populated if there is another page of results that can be retrieved. To fetch the next page, pass the next_cursor value as the cursor parameter in the next request.
Request fields
ID of the associated Beacon User.
An identifier that determines which page of results you receive.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconReportSyndicationListRequest = {
beacon_user_id: 'becusr_11111111111111',
};
try {
const response = await plaidClient.beaconReportSyndicationList(request);
} catch (error) {
// handle error
}
Response fields
ID of the associated Beacon Report Syndication.
ID of the associated Beacon User.
A subset of information from a Beacon Report that has been syndicated to a matching Beacon User in your program.
The id field in the response is the ID of the original report that was syndicated. If the original report was created by your organization, the field will be filled with the ID of the report. Otherwise, the field will be null indicating that the original report was created by another Beacon customer.
ID of the associated Beacon Report.
An ISO8601 formatted timestamp.
date-time The type of Beacon Report.
first_party: If this is the same individual as the one who submitted the KYC.
stolen: If this is a different individual from the one who submitted the KYC.
synthetic: If this is an individual using fabricated information.
account_takeover: If this individual's account was compromised.
data_breach: If this individual's data was compromised in a breach.
unknown: If you aren't sure who committed the fraud.
first_party, stolen, synthetic, account_takeover, data_breach, unknownA date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date A date in the format YYYY-MM-DD (RFC 3339 Section 5.6).
date Analysis of which fields matched between the originally reported Beacon User and the Beacon User that the report was syndicated to.
An enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataThe last 2-4 numeric characters of this account's account number.
The routing number of the account.
An enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn identifier that determines which page of results you receive.
A unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"beacon_report_syndications": [
{
"id": "becrsn_11111111111111",
"beacon_user_id": "becusr_42cF1MNo42r9Xj",
"report": {
"id": "becrpt_11111111111111",
"created_at": "2020-07-24T03:26:02Z",
"type": "first_party",
"fraud_date": "1990-05-29",
"event_date": "1990-05-29"
},
"analysis": {
"address": "match",
"date_of_birth": "match",
"email_address": "match",
"name": "match",
"id_number": "match",
"ip_address": "match",
"phone_number": "match",
"depository_accounts": [
{
"account_mask": "4000",
"routing_number": "021000021",
"match_status": "match"
}
]
}
}
],
"next_cursor": "eyJkaXJlY3Rpb24iOiJuZXh0Iiwib2Zmc2V0IjoiMTU5NDM",
"request_id": "saKrIBuEB9qJZng"
}/beacon/duplicate/get
This feature is in currently in beta; Your account must be enabled for this feature in order to test it in Sandbox. To enable this feature or check your status, contact your account manager or submit a product access support ticket.
Get a Beacon Duplicate
Returns a Beacon Duplicate for a given Beacon Duplicate id.
A Beacon Duplicate represents a pair of similar Beacon Users within your organization.
Two Beacon User revisions are returned for each Duplicate record in either the beacon_user1 or beacon_user2 response fields.
The analysis field in the response indicates which fields matched between beacon_user1 and beacon_user2.
Request fields
ID of the associated Beacon Duplicate.
Your Plaid API client_id. The client_id is required and may be provided either in the PLAID-CLIENT-ID header or as part of a request body.
Your Plaid API secret. The secret is required and may be provided either in the PLAID-SECRET header or as part of a request body.
const request: BeaconDuplicateGetRequest = {
beacon_duplicate_id: 'becdup_11111111111111',
};
try {
const response = await plaidClient.beaconDuplicateGet(request);
} catch (error) {
// handle error
}
Response fields
ID of the associated Beacon Duplicate.
A Beacon User Revision identifies a Beacon User at some point in its revision history.
ID of the associated Beacon User.
The version field begins with 1 and increments with each subsequent revision.
A Beacon User Revision identifies a Beacon User at some point in its revision history.
ID of the associated Beacon User.
The version field begins with 1 and increments with each subsequent revision.
Analysis of which fields matched between one Beacon User and another.
An enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataAn enum indicating the match type between two Beacon Users.
match indicates that the provided input data was a strong match against the other Beacon User.
partial_match indicates the data approximately matched the other Beacon User. For example, "Knope" vs. "Knope-Wyatt" for last name.
no_match indicates that Plaid was able to compare this field against the other Beacon User and it did not match the provided input data.
no_data indicates that Plaid was unable to compare this field against the original Beacon User because the field was not present in one of the Beacon Users.
match, partial_match, no_match, no_dataA unique identifier for the request, which can be used for troubleshooting. This identifier, like all Plaid identifiers, is case sensitive.
{
"id": "becdup_11111111111111",
"beacon_user1": {
"id": "becusr_42cF1MNo42r9Xj",
"version": 1
},
"beacon_user2": {
"id": "becusr_42cF1MNo42r9Xj",
"version": 1
},
"analysis": {
"address": "match",
"date_of_birth": "match",
"email_address": "match",
"name": "match",
"id_number": "match",
"ip_address": "match",
"phone_number": "match"
},
"request_id": "saKrIBuEB9qJZng"
}Webhooks
A user in cleared status may change to a pending_review status after a Beacon Report Syndication is received, which would trigger both a USER_STATUS_UPDATED as well as a REPORT_SYNDICATION_CREATED webhook. New Beacon Users may also be flagged as duplicates of another user, which triggers a DUPLICATE_DETECTED webhook. Beacon Reports created and managed by your account will trigger REPORT_CREATED and REPORT_UPDATED webhooks, and may also result in a USER_STATUS_UPDATED if the user status is changed from cleared to rejected at that time.
USER_STATUS_UPDATED
Fired when a Beacon User status has changed, which can occur manually via the dashboard or when information is reported to the Beacon network.
Properties
BEACON
USER_STATUS_UPDATED
The ID of the associated Beacon user.
The Plaid environment the webhook was sent from
sandbox, production{
"webhook_type": "BEACON",
"webhook_code": "USER_STATUS_UPDATED",
"beacon_user_id": "becusr_4WciCrtbxF76T8",
"environment": "production"
}REPORT_CREATED
Fired when one of your Beacon Users is first reported to the Beacon network.
Properties
BEACON
REPORT_CREATED
The ID of the associated Beacon Report.
The Plaid environment the webhook was sent from
sandbox, production{
"webhook_type": "BEACON",
"webhook_code": "REPORT_CREATED",
"beacon_report_id": "becrpt_2zugxV6hWQZG91",
"environment": "production"
}REPORT_UPDATED
Fired when one of your existing Beacon Reports has been modified or removed from the Beacon Network.
Properties
BEACON
REPORT_UPDATED
The ID of the associated Beacon Report.
The Plaid environment the webhook was sent from
sandbox, production{
"webhook_type": "BEACON",
"webhook_code": "REPORT_UPDATED",
"beacon_report_id": "becrpt_2zugxV6hWQZG91",
"environment": "production"
}REPORT_SYNDICATION_CREATED
Fired when a report created on the Beacon Network matches with one of your Beacon Users.
Properties
BEACON
REPORT_SYNDICATION_CREATED
The ID of the associated Beacon Report Syndication.
The Plaid environment the webhook was sent from
sandbox, production{
"webhook_type": "BEACON",
"webhook_code": "REPORT_SYNDICATION_CREATED",
"beacon_report_syndication_id": "becrsn_eZPgiiv3JH8rfT",
"environment": "production"
}DUPLICATE_DETECTED
Fired when a Beacon User created within your organization matches one of your existing users.
Properties
BEACON
DUPLICATE_DETECTED
The ID of the associated Beacon Duplicate.
The Plaid environment the webhook was sent from
sandbox, production{
"webhook_type": "BEACON",
"webhook_code": "DUPLICATE_DETECTED",
"beacon_duplicate_id": "becdup_erJcFn97r9sugZ",
"environment": "production"
}